Unit tde18e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE18E_p, DE18E_p;

function tde18e: String;

implementation

function tde18e: String;
var
IORDER,M,_i,J,I,IERR :Integer;
P,H,EPS,HMIN,Y1,Y2,X,XN :Extended;
YN :Array [0..1] of Extended;
DYN :Array [0..1] of Extended;
Y :Array [0..1] of Extended;
DY :Array [0..1] of Extended;
DELTY :Array [0..1] of Extended;
DF :Array [0..9] of Extended;
RFN :Array [0..1] of Extended;
RF :Array [0..1] of Extended;
begin
Result := '';  {   }
H := 0.01e0;
IORDER := 5;
P := 100.e0;
EPS := 0.0001e0;
HMIN := 1.e-10;
M := 2;
XN := 0.75e0*3.14159265359e0;
YN[0] := Sqrt(2.e0)/2.e0;
YN[1] := -YN[0];
DYN[0] := YN[1];
DYN[1] := -YN[0];
DE18E(FDE18E,M,IORDER,XN,YN,DYN,HMIN,EPS,P,H,X,Y,
     DY,DF,RFN,RF,DELTY,IERR);
Y1 := Sin(X);
Y2 := Cos(X);
Result := Result + Format(' %20.16f ',[X]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[DY[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('                     %20.16f %20.16f ',
 [Y1,Y2]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for J:=1 to 5 do
 begin
  for I:=1 to 2 do
   begin
    Result := Result + Format('%20.16f ',[DF[(I-1)+(J-1)*2]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
UtRes('tde18e',Result);  {     tde18e.res }
exit;
end;

end.
